# List numbers for service List numbers for a service. Endpoint: GET /services/{id}/numbers Version: 3.0 Security: BasicAuth, OAuth2 ## Path parameters: - `id` (string, required) The serviceId containing the numbers you want to list. ## Query parameters: - `pageSize` (integer) Number of items to return on each page. Example: 20 - `page` (string) Optional. The page to fetch. If not specified, the first page will be returned. ## Response 200 fields (application/json): - `numbers` (array) List of phone numbers - `numbers.phoneNumber` (string) A phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format, including the leading '+'. - `numbers.permissions` (string) Allows you to set permissions for sending and receiving faxes to this email/phone number combination. Default value is both. Enum: "both", "send", "receive" - `numbers.projectId` (string) The Id of the project associated with the call. - `numbers.serviceId` (string) ID of the fax service used. - `page` (integer) Current page - `totalPages` (integer) Total number of pages. - `pageSize` (integer) Number of items per page. - `totalItems` (integer) Total size of the result.